FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Redhat > Fedora User

 
 
LinkBack Thread Tools
 
Old 12-05-2007, 06:59 AM
Joachim Backes
 
Default weird yum dependencies between kernel and kmod-nvidia in F8

Hi,

I was running F8 with kernel-2.6.23.1-49.fc8 together with kmod-nvidia-100.14.19-18.lvn8 and
kmod-nvidia-2.6.23.1-49.fc8-100.14.19-18.lvn8

.

When trying "yum update kernel" (for updating kernel to version 2.6.23.8-63.fc8), yum rejected this
because the installed kmod-nvidia needs kernel-2.6.23.1-49.fc8. But inspecting the livna repos
showed me that kmod-nvidia-100.14.19-19.lvn8 and kmod-nvidia-2.6.23.8-63.fc8-100.14.19-19.lvn8

are absolutely available.

I had to uninstall all kmod-nvidia, then update the kernel and then install kmod-nvidia again.
Now my system runs with kmod-nvidia-100.14.19-19.lvn8,
kmod-nvidia-2.6.23.8-63.fc8-100.14.19-19.lvn8 and kernel-2.6.23.8-63.fc8


Any issues?

--
Joachim Backes <joachim.backes@rhrk.uni-kl.de>
University of Kaiserslautern,Computer Center [RHRK],
Systems and Operations, High Performance Computing,
D-67653 Kaiserslautern, PO Box 3049, Germany
--------------------------------------------------
Phone: +49-631-205-2438, FAX: +49-631-205-3056
http://hlrwm.rhrk.uni-kl.de/home/staff/backes.html
--
fedora-list mailing list
fedora-list@redhat.com
To unsubscribe: https://www.redhat.com/mailman/listinfo/fedora-list
 
Old 12-05-2007, 07:09 AM
Thorsten Leemhuis
 
Default weird yum dependencies between kernel and kmod-nvidia in F8

On 05.12.2007 08:59, Joachim Backes wrote:
> I was running F8 with kernel-2.6.23.1-49.fc8 together with kmod-nvidia-100.14.19-18.lvn8 and
> kmod-nvidia-2.6.23.1-49.fc8-100.14.19-18.lvn8
> When trying "yum update kernel" (for updating kernel to version 2.6.23.8-63.fc8), yum rejected this
> because the installed kmod-nvidia needs kernel-2.6.23.1-49.fc8. But inspecting the livna repos
> showed me that kmod-nvidia-100.14.19-19.lvn8 and kmod-nvidia-2.6.23.8-63.fc8-100.14.19-19.lvn8
> are absolutely available.
> I had to uninstall all kmod-nvidia, then update the kernel and then install kmod-nvidia again.
> Now my system runs with kmod-nvidia-100.14.19-19.lvn8,
> kmod-nvidia-2.6.23.8-63.fc8-100.14.19-19.lvn8 and kernel-2.6.23.8-63.fc8
>
> Any issues?

https://bugzilla.redhat.com/show_bug.cgi?id=330711

http://thorstenl.blogspot.com/2007/11/problems-updating-kernels-and-kmods.html
http://thorstenl.blogspot.com/2007/12/problems-updating-kernels-and-kmods-2.html

HTH

CU
knurd

--
fedora-list mailing list
fedora-list@redhat.com
To unsubscribe: https://www.redhat.com/mailman/listinfo/fedora-list
 
Old 12-05-2007, 08:57 AM
Mark Knoop
 
Default weird yum dependencies between kernel and kmod-nvidia in F8

Thorsten Leemhuis wrote:

On 05.12.2007 08:59, Joachim Backes wrote:

I was running F8 with kernel-2.6.23.1-49.fc8 together with
kmod-nvidia-100.14.19-18.lvn8 and
kmod-nvidia-2.6.23.1-49.fc8-100.14.19-18.lvn8 When trying "yum

update kernel" (for updating kernel to version 2.6.23.8-63.fc8),
yum rejected this because the installed kmod-nvidia needs
kernel-2.6.23.1-49.fc8. But inspecting the livna repos showed me
that kmod-nvidia-100.14.19-19.lvn8 and
kmod-nvidia-2.6.23.8-63.fc8-100.14.19-19.lvn8 are absolutely
available. I had to uninstall all kmod-nvidia, then update the
kernel and then install kmod-nvidia again. Now my system runs with
kmod-nvidia-100.14.19-19.lvn8,
kmod-nvidia-2.6.23.8-63.fc8-100.14.19-19.lvn8 and

kernel-2.6.23.8-63.fc8

Any issues?


https://bugzilla.redhat.com/show_bug.cgi?id=330711
http://thorstenl.blogspot.com/2007/11/problems-updating-kernels-and-kmods.html
http://thorstenl.blogspot.com/2007/12/problems-updating-kernels-and-kmods-2.html


Another workaround:

yumdownloader kernel
rpm -ivh kernel*.rpm
yum update

--
Mark Knoop

--
fedora-list mailing list
fedora-list@redhat.com
To unsubscribe: https://www.redhat.com/mailman/listinfo/fedora-list
 
Old 12-05-2007, 01:15 PM
Mike C
 
Default weird yum dependencies between kernel and kmod-nvidia in F8

I had this issue also and found by trial and error that doing
yum update kmod-nvidia
which pulls in the new kernel and then followed by a regular
yum update
did work.


--
fedora-list mailing list
fedora-list@redhat.com
To unsubscribe: https://www.redhat.com/mailman/listinfo/fedora-list
 

Thread Tools




All times are GMT. The time now is 09:49 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org